/*
 * @Author: wj 1454560336@qq.com
 * @Date: 2023-12-07 10:49:16
 * @LastEditors: wj 1454560336@qq.com
 * @LastEditTime: 2023-12-07 10:52:22
 * @FilePath: \admin-manage\src\api\rule.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */

import request from '@/utils/request'

// 规则列表
export function getRuleList(params) {
  return request({
    url: '/zswl-cloud-shop/accountShare/search',
    method: 'get',
    params
  })
}

// 规则详情
export function ruleDetail(params) {
    return request({
      url: '/zswl-cloud-shop/accountShare/get',
      method: 'get',
      params
    })
  }
  
// 规则删除
export function delRule(params) {
    return request({
      url: '/zswl-cloud-shop/accountShare/del',
      method: 'get',
      params
    })
  }

  
// 添加修改
export function addOrUpdate(data) {
    return request({
      url: '/zswl-cloud-shop/accountShare/addOrUpdate',
      method: 'post',
      data
    })
  }